SMP_REP_SELF_CONF_STAT(8)

NAME
smp_rep_self_conf_stat - invoke REPORT SELF-CONFIGURATION STATUS SMP function

SYNOPSIS
smp_rep_self_conf_stat [--brief] [--help] [--hex] [--index=SDI] [--interface=PARAMS] [--last] [--one] [--raw] [--sa=SAS_ADDR] [--verbose] [--version] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) REPORT SELF-CONFIGURATION STATUS function request to an SMP target. The SMP target is identified by the SMP_DEVICE and the --sa=SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify a HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

OPTIONS
Mandatory arguments to long options are mandatory for short options as well.

-b, --brief
    lessen the amount of header information output and compress each self confuration status descriptor to one line of output.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal.

-i, --index=SDI
    SDI is the starting self-configuration status descriptor index, an integer in the range 0 to 65535. The default value is 1 . If SDI is 0 then no descriptors are placed in the response plus the "starting self-configuration status descriptor index" and "total number of self-configuration status descriptors" fields in the response are both set to 0. That makes setting SDI to 0 a lot less useful tha it could have been. SDI may be decimal (default) or hexadecimal prefixed by '0x' (or '0X') or with a 'h' (or 'H') suffix.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-l, --last
    Sends a REPORT SELF-CONFIGURATION STATUS request to find out the contents of the "last self-configuration status descriptor index" field in the response. If it is different from SDI then it re-issues that request with the "starting self-configuration status descriptor index" field set to the "last" value. Often only the last (i.e. most recent) recorded descriptor is of interest and that is what this option should show. In cases there may be more than one descriptor starting at the last index.

-o, --one
    If multiple self-configuration status descriptors are found, then only output the first one.

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. The mpt interface needs this option and it will typically be an expander's SAS address. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times.

-V, --version
    print the version string and then exit.

NOTES
The "last self-configuration status descriptor index" field in the response may indicate the lowest index of the last recorded (i.e. most recent) "clump" of status descriptors placed in the expander's storage.

This utility flags the "last self-configuration status descriptor index" descriptor in its output with a ">>>" indication. For brief output the descriptor line starts with ">>>" while for normal output (i.e. when --brief not given) the index has ">>>" placed in front of it.

CONFORMING TO
The SMP REPORT SELF-CONFIGURATION STATUS function was introduced in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2011 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_rep_general, smp_discover, smp_discover_list(smp_utils)